﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AudibleChatClient
{
    public partial class SetUpKeyStroke : Form
    {
        PrivateRoom parent;

        public SetUpKeyStroke(PrivateRoom parent)
        {
            InitializeComponent();
            this.KeyPreview = true;
            this.parent = parent;
        }

        private void btnConfigure_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            e.SuppressKeyPress = true; // do this to 'eat' the keystroke
            base.OnKeyDown(e);
        }

        private void SetUpKeyStroke_KeyDown(object sender, KeyEventArgs e)
        {
            lblKey.Text = e.KeyCode.ToString();
            parent.key = e.KeyCode;
            e.Handled = false;
        }

    }
}
