﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MySql.Data.MySqlClient;

namespace DataBaseTest
{
    class Test
    {
        public virtual void Run()
        {
            string cs = @"server=localhost;userid=Moog;password=qwepoi098;database=chatty";

            MySqlConnection conn = null;
            MySqlDataReader rdr = null;

            try
            {
                conn = new MySqlConnection(cs);
                conn.Open();

                string stm = @"SELECT u_id, u_name From users";

                MySqlCommand cmd = new MySqlCommand(stm, conn);
                rdr = cmd.ExecuteReader();

                Console.WriteLine("{0} {1}", rdr.GetName(0),
                    rdr.GetName(1).PadLeft(18));

                while (rdr.Read())
                {
                    Console.WriteLine(rdr.GetString(0).PadRight(18) +
                        rdr.GetString(1));
                }
            }
            catch (MySqlException ex)
            {
                Console.WriteLine("Error: {0}", ex.ToString());

            }
            finally
            {
                if (rdr != null)
                {
                    rdr.Close();
                }

                if (conn != null)
                {
                    conn.Close();
                }
            }
        }
    }
}
