﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Diagnostics;
using DataBaseTest;

namespace AudioChatServer
{
    public class User
    {
        public IPAddress ipAddress;
        public string username;
        public Chatroom activeRoom;

        public User(string usernameIn)
        {
            ipAddress = null;
            username = usernameIn;
            activeRoom = null;
        }

        public bool hasToken
        {
            get
            {
                if (activeRoom == null)
                {
                    return false;
                }
                else
                {
                    return (activeRoom.userWithToken == username);
                }
            }

            set
            {
                if (activeRoom != null)
                {
                    activeRoom.userWithToken = value ? username : "";
                }
            }
        }
    }
}
